REM Script to grant BIOTICS_QUERY select access to src_schema (typically, biotics_user)
REM SCript must be run from a directory with write access
REM 02152003 SEM Created

set heading off
set echo off
SET FEEDBACK OFF

conn &&src_schema@&&service_name

spool bio_query_user.sql
select 'grant select on ' || table_name || ' to BIOTICS_QUERY;' from user_tables;
select 'grant select on ' || view_name || ' to BIOTICS_QUERY;' from user_views;
spool off

set heading on
set echo on
SET FEEDBACK on

spool bio_query_user.log
@bio_query_user.sql

grant execute on &&src_schema..CALC_ENT_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..CALC_EO_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..CALC_EO_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..CALC_EST_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..CALC_EST_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..GLOBAL_ROUND_RANK to BIOTICS_QUERY;
grant execute on &&src_schema..NATIONAL_ROUND_RANK to BIOTICS_QUERY;
grant execute on &&src_schema..SUBNATL_ROUND_RANK to BIOTICS_QUERY;
grant execute on &&src_schema..DELIMLIST to BIOTICS_QUERY;
grant execute on &&src_schema..DLOOKUP to BIOTICS_QUERY;
grant execute on &&src_schema..EGT_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..EGT_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..ENT_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..ENT_ELCODE to BIOTICS_QUERY;
grant execute on &&src_schema..ENT_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..EO_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..EO_ELCODE to BIOTICS_QUERY;
grant execute on &&src_schema..EO_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..EST_COSEWIC to BIOTICS_QUERY;
grant execute on &&src_schema..EST_ELCODE to BIOTICS_QUERY;
grant execute on &&src_schema..EST_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..FKLOOKUP to BIOTICS_QUERY;
grant execute on &&src_schema..GETNEXTEONUM to BIOTICS_QUERY;
grant execute on &&src_schema..GETNEXTSEQ to BIOTICS_QUERY;
grant execute on &&src_schema..GETPK to BIOTICS_QUERY;
grant execute on &&src_schema..GETNAMECATDESC to BIOTICS_QUERY;
grant execute on &&src_schema..GETNAMETYPECD to BIOTICS_QUERY;
grant execute on &&src_schema..GET_NEW_SRANK to BIOTICS_QUERY;
grant execute on &&src_schema..GET_BCD_GRANK to BIOTICS_QUERY;
grant execute on &&src_schema..GET_BCD_USESA to BIOTICS_QUERY;
grant execute on &&src_schema..INFORMAL_TAX to BIOTICS_QUERY;
grant execute on &&src_schema..INVALID_DIST to BIOTICS_QUERY;
grant execute on &&src_schema..NSX_INFORMAL_TAX to BIOTICS_QUERY;
grant execute on &&src_schema..PARSE_CODE to BIOTICS_QUERY;
grant execute on &&src_schema..PARSE_ID to BIOTICS_QUERY;
grant execute on &&src_schema..PARSE_MERIDIAN to BIOTICS_QUERY;
grant execute on &&src_schema..PARSE_SECTION to BIOTICS_QUERY;
grant execute on &&src_schema..PARSE_TOWN_RANGE to BIOTICS_QUERY;
grant execute on &&src_schema..ROUND_GRANK to BIOTICS_QUERY;
grant execute on &&src_schema..ROUND_NRANK to BIOTICS_QUERY;
grant execute on &&src_schema..ROUND_SRANK to BIOTICS_QUERY;
grant execute on &&src_schema..VALIDATE_EST_DIST to BIOTICS_QUERY;
grant execute on &&src_schema..VALID_DIST to BIOTICS_QUERY;
grant execute on &&src_schema..VALID_MULT_RANK_DIST to BIOTICS_QUERY;
grant execute on &&src_schema..XLATE to BIOTICS_QUERY;
grant execute on &&src_schema..LOOKUP to BIOTICS_QUERY;
grant execute on &&src_schema..APPEND_ZERO to BIOTICS_QUERY;
grant execute on &&src_schema..GETSHORTCITATION to BIOTICS_QUERY;
grant execute on &&src_schema..STRIP_FMT_TAGS to BIOTICS_QUERY;
grant execute on &&src_schema..GET_FIRST_FOUR_DIGITS to BIOTICS_QUERY;
grant execute on &&src_schema..GET_BEST_SOURCE to BIOTICS_QUERY;
grant execute on &&src_schema..GET_IRANK_VALUE to BIOTICS_QUERY;

spool off
